Skip site navigation (1) Skip section navigation (2)

Re: Can't connect to postgresql using php

From: "Chandra ASGI Tech" <chandraasgi(at)gmail(dot)com>
To: "Vince Vielhaber" <vev(at)michvhf(dot)com>
Cc: "roche magsayo" <rtmsoft(at)gmail(dot)com>, Chris <dmagick(at)gmail(dot)com>, pgsql-php(at)postgresql(dot)org
Subject: Re: Can't connect to postgresql using php
Date: 2008-06-25 15:54:56
Message-ID: fbf9dcc60806250854q253ae36eic11da775cc5fccee@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-php
Hi Vince,

Can you please specify the version of Apache and PHP?  It seems there is a
problem with the pgsql extension in PHP5.2.6 - as Jason Minion had mentioned
in another thread, please refer http://bugs.php.net/bug.php?id=44905.

I am using WAMPServer 2 (http://www.wampserver.com/en/index.php) - which
provides a good development environment for Windows based Apache - PHP.  It
allows you to install almost all the existing releases(
http://www.wampserver.com/en/add-ons.php) of Apache, PHP (and MySQL)  and
configure them easily - so that you can enable the MySQL or PgSQL modules as
you want in your PHP extensions.

I have PostgreSQL 8.2.4 and WampServer2 (Apache 2.2.6 and PHP 5.2.5)
installed on my XP laptop and it works fine. I also use phppgadmin (
http://sourceforge.net/projects/phppgadmin) which is similar to but not as
much userfriendly (atleast) like phpmyadmin.

Though I have not used myself, I still know that WampServer allows you to
install * any number of * latest releases of Apache and PHP and configure
and switch between them.

Thanks and Regards,
Chandra-ASGI

In response to

pgsql-php by date

Next:From: Andrew McMillanDate: 2008-06-26 11:54:13
Subject: Re: newbie issues with PDO / stored procedures
Previous:From: Chandra ASGI TechDate: 2008-06-25 15:50:27
Subject: Re: Can't connect to postgresql using php

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group